apiVersion: apps/v1
kind: Deployment
metadata:
  name: api-titanic
  labels:
    app: api
spec:
  replicas: 3
  selector:
    matchLabels:
      app: api
  template:
    metadata:
      labels:
        app: api
    spec:
      containers:
      - name: apititanic
        image: laghao/apititanic:v1
        ports:
        - containerPort: 80

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: api
  name: api-service
spec:
  ports:
  - port: 80
    protocol: TCP
    nodePort: 30080
  selector:
    app: api
  type: NodePort
status:
  loadBalancer: {}
